#### D.5.17.30 linesHypersurface

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  linesHypersurface(n); n int

Return:
  number

Theory:
  This is the number of lines on a general hypersurface of degree d = 2n-3 in an n-dimensional projective space.

Example:

    LIB "schubert.lib";
    ring r = 0,x,dp;
    linesHypersurface(2);
    ==> 1
    linesHypersurface(3);
    ==> 27
    linesHypersurface(4);
    ==> 2875
    linesHypersurface(5);
    ==> 698005
    linesHypersurface(6);
    ==> 305093061
    linesHypersurface(7);
    ==> 210480374951
    linesHypersurface(8);
    ==> 210776836330775
    linesHypersurface(9);
    ==> 289139638632755625
    linesHypersurface(10);
    ==> 520764738758073845321

See also: linesHypersurface; multipleCover.

User manual for Singular version 4.4.1, 2025, generated by texi2html.